﻿@model eCommerce.UI.ViewModels.Shop.ShopViewModel
@using eCommerce.UI.ViewModels

    @*@Html.Partial("BreadCrumb", new BreadCrumbViewModel { Category = null, Product = null, isBuscar = true})*@
@if (!Model.isBuscar)
{
    @Html.Partial("BreadCrumb", new BreadCrumbViewModel { CategoryName = Model.CategoryName, CategorySeoUrl = Model.CategorySeoUrl, Product = null})
}



<div class="shop-bar hidden">
    <div class="shop-bar__filtering">
        <span class="toggle-filter js-toggle-filter ">Esconder filtros <i class="icon icon-plus icon--clickable icon--toggle" aria-hidden="true"></i></span>
        <span class="toggle-filter js-toggle-filter hidden">Mostrar filtros <i class="icon icon-plus icon--clickable" aria-hidden="true"></i></span>
        @*<span class="toggle-filter toggle-filter--popup js-popup-filter">Ver categorías <i class="icon icon-filter icon--clickable" aria-hidden="true"></i></span>*@
    </div>
    
    
        @if (Model.productList.Count() > 0)
        {

                @*<div class="shop-bar__breadcrumb">
                    <a href="/shop" class="breadcrumb__item">SHOP</a>
                    @{
                        var currentCategory = Model.productList.FirstOrDefault().category;
                        do
                        {
                            <span class="breadcrumb__separator">/</span>
                            <a href="/shop/@currentCategory.SeoUrl" class="breadcrumb__item">@currentCategory.Name</a>
                            currentCategory = currentCategory.ParentCategory;
                        } while (currentCategory != null);
                    }
                </div>*@

                <div>

                </div>

                <div class="shop-bar__sort">
                    <span class="sort__label">Ordenar por</span>
                    <select class="sort__control js-filter-sort">
                        <option value="0">Default</option>
                        <option value="1">Precio mas bajo</option>
                        <option value="2">Precio mas alto</option>
                    </select>
                </div>

                <div class="shop-bar__row-size">
                    <span class="sort__label">Vista</span>
                    <span class="sort__item js-row-size" data-size="2">2</span>
                    @*<span class="sort__item js-row-size sort__item--active" data-size="3">3</span>*@
                    <span class="sort__item js-row-size sort__item--active" data-size="3">3</span>
                    <span class="sort__item js-row-size" data-size="6">6</span>
                </div>
        }
</div>